2019-08-26 11:31 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005905Spring engineGeneralpublic2018-02-26 12:21
ReporterFloris 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0005905: unitpic is rendered upside down when used in loadscreen
Description... this isnt the case in 104
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018851

Kloot (developer)

Last edited: 2018-02-26 12:21

View 5 revisions

NCR:

the pics you see in the build menu take their names from the buildPic keys set in each unitdef which (in BA) are all UPPER-case strings, while your LuaIntro code (https://github.com/Balanced-Annihilation/Balanced-Annihilation/blob/master/luaintro/Addons/main.lua) passes them in lower-case to gl.Texture calls.

104 (and every version before it) had a subtle bug that forced textures ending in ".DDS" to be loaded by different code than textures ending in ".dds". a recent commit changed the extension check logic and accidentally exposed this, resulting in ".DDS" textures being inverted by default (as ".dds" textures already were) and consequently 0005899.

the solution was to handle ".dds" and ".DDS" loading identically but with an exception not to invert *any* buildpic, which would work fine except that gl.TexRect assumes *all* textures are inverted (buildpics break this convention, ideally games should store them pre-flipped), and flips the y-coordinates so they are shown upside down.


TLDR: for now, just replace

  gl.TexRect(vsx * 0.21, vsy*(yPos-0.015), vsx*(0.21+image_size), (vsy*(yPos-0.015))-(vsx*image_size))

by

  gl.TexRect(vsx * 0.21, vsy*(yPos-0.015), vsx*(0.21+image_size), (vsy*(yPos-0.015))-(vsx*image_size), false, true)

to put them upside-up again.

~0018854

Kloot (developer)

fyi "games should store buildpics pre-flipped" will be mandatory for 105.

maintenance keeps the exception until release.
+Notes

-Issue History
Date Modified Username Field Change
2018-02-22 21:12 Floris New Issue
2018-02-25 01:32 Kloot Note Added: 0018851
2018-02-25 01:34 Kloot Note Edited: 0018851 View Revisions
2018-02-25 01:46 Kloot Note Edited: 0018851 View Revisions
2018-02-25 01:47 Kloot Note Edited: 0018851 View Revisions
2018-02-26 12:18 Kloot Assigned To => Kloot
2018-02-26 12:18 Kloot Status new => resolved
2018-02-26 12:18 Kloot Resolution open => fixed
2018-02-26 12:18 Kloot Fixed in Version => 104.0 +git
2018-02-26 12:18 Kloot Note Added: 0018854
2018-02-26 12:21 Kloot Note Edited: 0018851 View Revisions
+Issue History